local string, type, tostring, pairs, table = 
string, type, tostring, pairs, table
module('nsg')

local function prompt(pr)
  if pr then
    return "\n"..string.rep(' ', pr)
  else
    return ""
  end
end
local function incPr(pr)
  if pr then pr = pr + 2 end
  return pr
end
local function decPr(pr)
  if pr then pr = pr - 2 end
  return pr
end

local serialize_
serialize_  = function (o, pr, saved, textOnly, recursion)
                recursion = recursion or 0
                local reserved = {
                   ["and"] = true,
                   ["break"] = true,
                   ["do"] = true,
                   ["else"] = true,
                   ["elseif"] = true,
                   ["end"] = true,
                   ["false"] = true,
                   ["for"] = true,
                   ["function"] = true,
                   ["if"] = true,
                   ["in"] = true,
                   ["local"] = true,
                   ["nil"] = true,
                   ["not"] = true,
                   ["or"] = true,
                   ["repeat"] = true,
                   ["return"] = true,
                   ["then"] = true,
                   ["true"] = true,
                   ["until"] = true,
                   ["while"] = true
                }
                local forgen = pr and pairsByKeys or pairs
                local t = type(o)
                if t == "number" then
                   return tostring(o)
                elseif t == "boolean" then
                   return tostring(o)
                elseif t == "string" then
		   return formatq(o)
                elseif t == "table" then
                   saved = saved or {}
                   if saved[o] and saved[o]>recursion then
                      return not textOnly and tostring(o) or 'nil'
                   else
                      saved[o] = saved[o] and saved[o]+1 or 1
                   end
                   pr = incPr(pr)
                   local result = "{"
                   local nextIndex = 1
                   local first = true
                   for k, v in forgen(o, compareObject) do
                      local sk, sv
                      if not pr and type(k) == "number" and k == nextIndex then
                         nextIndex = nextIndex + 1
                         sk = nil
                      else
                         if type(k) == "string" and string.find(k, "^[_%a][_%w]*$") and not reserved[k] then
                            sk = k
                         else
                            sk = "[" .. serialize_(k, pr, saved, textOnly, recursion) .. "]"
                         end
                      end
                      sv = serialize_(v, pr, saved, textOnly, recursion)
                      if sk ~= '[nil]' and sv ~= 'nil' then
                         if first then
                            result = result..prompt(pr)
                            first = false
                         else
                            result = result .. ","..prompt(pr)
                         end
                         result = result .. (sk and tostring(sk)..(pr and " = " or '=') or "") .. sv
                      end
                   end
                   pr = decPr(pr)
                   result = result ..(not first and prompt(pr) or "").."}"
                   return result
                else
                   return not textOnly and tostring(o) or 'nil'
                end
             end

function serialize(o, pr, textOnly, recursion)
   return serialize_(o, pr, {}, textOnly, recursion)
end

function pairsByKeys(t, f)
  local a = {}
  for n in pairs(t) do a[#a + 1] = n end
  table.sort(a, f)
  local i = 0
  return function()
    i = i + 1
    return a[i], t[a[i]]
  end
end

function compareObject(a,b) 
  local typeA = type(a)
  local typeB = type(b)
  if typeA == typeB then
    if typeA == "number" or typeA == "string" then
      return a < b
    else
      return false
    end
  end
  local t = {
    ["nil"] = 1,
    boolean = 2,
    number = 3,
    string = 4,
    table = 5,
    ["function"] = 6,
    thread = 7,
    userdata = 8,
  }
  return (t[typeA] or 10) < (t[typeB] or 10)
end
