local string, type, tostring, pairs, table, tonumber, ipairs = string, type, tostring, pairs, table, tonumber, ipairs

module('nsg')

--[[function shellEnquote (s)
   s =("%q"):format(tostring(s) or ''):gsub("\\\n", "\n"):gsub("'", '""\'""')
   return s
end
--]]

function shellEnquote(...)
 local command = type(...) == 'table' and ... or { ... }
 for i, s in ipairs(command) do
  s = (tostring(s) or ''):gsub('"', '\\"')
  if s:find '[^A-Za-z0-9_."/-]' then
   s = '"' .. s .. '"'
  elseif s == '' then
   s = '""'
  end
  command[i] = s
 end
 return table.concat(command, ' ')
end



function urlDecode (s)
   s = string.gsub(s, "+", " ")
   s = string.gsub(s, "%%(%x%x)",
                   function (h)
                      return string.char(tonumber(h, 16))
                   end)
   return s
end

function urlEncode (s)
   return s:gsub("([&=+%c%z\127-\255])",
                   function (c)
                      return ("%%%02X"):format(c:byte())
                   end ):gsub(' ', '+')
   end

