<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY gt   "&#x0003E;" >
  <!ENTITY lt   "&#38;#60;" >
  <!ENTITY quot "&#x00022;" >
  <!ENTITY amp  "&#38;#38;" >
  <!ENTITY apos "&#x00027;" >
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:output
      media-type="text/html"
      method="html"
      version="4.01"
      encoding="UTF-8"
      omit-xml-declaration="yes"
      standalone="no"
      indent="yes"
      doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
      />

  <xsl:template match="/INPLACE">
     <xsl:call-template name="SCRIPT"/>
  </xsl:template>
  <xsl:template match="/ROOT">
    <div id='ttysizer'>W</div>
    <xsl:call-template name="SCRIPT"/>
    <div id="initscript" class="initscript">
      <xsl:value-of select="head/initScript"/>
    </div>
    <div style="position:static;">
      <div id="opaco" class="hidden">
      </div>
      <div id="popup" class="hidden">
      </div>
    </div>
    <script type="text/javascript" charset="UTF-8">
      <xsl:attribute name="src">/script.js?<xsl:value-of select="head/release"/></xsl:attribute>
    </script>
    <div class="welcome">
      <img class="activityoff" alt="0" src="/loading.gif" title="header=[webJobs] body=[1]"/>
      <xsl:value-of select="head/welcome"/><xsl:text> </xsl:text><span class="welcome" onclick="showLeakChecker();"><xsl:value-of select="head/release"/></span><xsl:text>, </xsl:text><xsl:value-of select="head/mach"/>
    </div>
    <xsl:if test="head/sessionMessage">
      <ul>
        <li class="cl">
          <table class="node" title="header=[webBtnExpand] body=[]">
            <tbody>
              <tr valign="middle">
                <td>
                  <img class="bexpand" onkeydown="return btnKeyDown(event,this);" tabindex="0" alt="Expand" src="/nil.png" onclick="UnHide(this); return false;" title="header=[webBtnExpand] body=[]" />
                  <img class="bcollapse" onkeydown="return btnKeyDown(event,this);" tabindex="0" alt="Collapse" src="/nil.png" onclick="UnHide(this); return false;" title="header=[webBtnCollapse] body=[]" />
                </td>
                <td>
                  <a class="message" onkeydown="return btnKeyDown(event,this);" onclick="UnHide(this); return false;">
                    <xsl:text>Message:</xsl:text>
                    <span class="messagehead"><xsl:value-of select="substring(head/sessionMessage,1,40)"/><xsl:text>...</xsl:text></span>
                  </a>
                </td>
              </tr>
            </tbody>
          </table>
          <div class="dir">
            <pre ondblclick="UnHide(this);"><xsl:value-of select="head/sessionMessage"/></pre>
          </div>
        </li>
      </ul>
    </xsl:if>
    <ul>
      <li name="root" class="root">
        <table class="node" width="100%">
          <tbody>
            <tr>
              <td class="param">
                <xsl:if test="not(head/netns='')">
                  <xsl:text>[</xsl:text>
                  <xsl:value-of select="head/netns"/>
                  <xsl:text>]</xsl:text>
                </xsl:if>
                <xsl:value-of select="head/hostName"/>
                <xsl:text>:</xsl:text>
                <xsl:value-of select="head/login"/>
                <xsl:text>(</xsl:text>
                <xsl:value-of select="head/sessionNumber"/>
                <xsl:text>)</xsl:text>
              </td>
              <td>
                <select class="locale" onchange="setLocale(this);" style="visibility: visible;">
                  <option value="ru">
                    <xsl:if test="head/locale='ru'">
                      <xsl:attribute name="selected"></xsl:attribute>
                    </xsl:if>
                    <xsl:text>&nbsp;ru&nbsp;</xsl:text>
                  </option>
                  <option value="en">
                    <xsl:if test="head/locale='en'">
                      <xsl:attribute name="selected"></xsl:attribute>
                    </xsl:if>
                    <xsl:text>&nbsp;en&nbsp;</xsl:text>
                  </option>
                </select>
              </td>
              <td>
                <img class="blogout" onclick="logOut(); return false;" title="header=[webBtnLogout] body=[]" alt="Logout" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
              </td>
              <td class="usage" width="90%">
                <a title="header=[webBtnUsage] body=[]" onclick="getUsage(this);return false;" onkeydown="return btnKeyDown(event,this);" tabindex="0">
                  <xsl:value-of select="head/usage"/>
                  <img class="brefresh" src="/nil.png" tabindex="0" alt="refresh"/>
                </a>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="dir">
          <xsl:for-each select="parameter">
            <xsl:call-template name="DIR"/>
          </xsl:for-each>
        </div>
      </li>
    </ul>
    <div id="scriptexecutionarea" class="scriptexecutionarea"></div>
  </xsl:template>

  <xsl:template match="/CONF">
    <xsl:call-template name="DIR"/>
  </xsl:template>

  <xsl:template match="/ITEM">
    <xsl:call-template name="PARAMETER"/>
  </xsl:template>

  <xsl:template match="/POPUP">
    <xsl:for-each select="head">
      <center><b>
        <xsl:value-of select="."/>
      </b>
      </center>
    </xsl:for-each>
    <xsl:for-each select="body">
      <xsl:value-of select="."/>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="SCRIPT">
    <xsl:for-each select="SCRIPT">
      <span class="hiddenscript">
        <textarea class="hiddentext"><xsl:value-of select="."/></textarea>
      </span>
    </xsl:for-each>
  </xsl:template >

  <xsl:template name="TEXT">
    <xsl:for-each select="TEXT">
      <span class="hiddentext">
        <textarea class="hiddentext"><xsl:value-of select="."/></textarea>
      </span>
    </xsl:for-each>
  </xsl:template >

  <xsl:template match="/NSG">
    <xsl:call-template name="TEXT"/>
    <xsl:call-template name="SCRIPT"/>
  </xsl:template>

  <xsl:template match="/EDIT">
    <xsl:for-each select="TEXT">
      '<div class="dircontrol">
        <img class="beditsave" title="header=[webBtnEditSave] body=[]" onclick="return saveEditCfg(this);" alt="Save" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);" />
        <img class="bvalidate" title="header=[webBtnValidate] body=[]" onclick="return validateCfg(this);" alt="Validate" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);" />
        <img class="brefresh" title="header=[webBtnUndo] body=[]" onclick="return Edit(this);" alt="Edit" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);" />
      </div>
      <ul>
        <textarea class="edit" wrap="off" cols="80"><xsl:attribute name="rows">
          <xsl:if test="((string-length(.) - string-length(translate(.,'&#10;',''))) &lt; 10)">10</xsl:if>
          <xsl:if test="((string-length(.) - string-length(translate(.,'&#10;',''))) &gt; 9) and ((string-length(.) - string-length(translate(.,'&#10;',''))) &lt; 26)"><xsl:value-of select="(string-length(.) - string-length(translate(.,'&#10;','')))"/></xsl:if>
          <xsl:if test="((string-length(.) - string-length(translate(.,'&#10;',''))) &gt; 25)">25</xsl:if>
        </xsl:attribute>'+deHex('<xsl:value-of select="."/>')+'</textarea>
      </ul>'
    </xsl:for-each>
    <xsl:for-each select="script">
      <span class="hiddenscript">
        <textarea class="hiddentext"><xsl:value-of select="."/></textarea>
      </span>
    </xsl:for-each>
  </xsl:template>

  <xsl:template name="DIR">
    <xsl:if test="expandable and not(executable)">
      <xsl:if test="not(loaded='no')">
        <div class="dircontrol">
          <xsl:if test="path='{}'">
            <img class="bmanual" title="header=[webBtnManual] body=[]" onclick="return getManual(this);" alt="Man" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
          </xsl:if>
          <xsl:if test="dependence">
            <img class="bkey" title="header=[webBtnKey] body=[]" alt="!" src="/nil.png"/>
          </xsl:if>
          <img class="bedit" title="header=[webBtnEdit] body=[]" onclick="return Edit(this);" alt="Edit" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
          <xsl:if test="path='{}'">
            <img class="brefresh" title="header=[webBtnRefresh] body=[]" onclick="return loadDir(this);" alt="Refresh" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
          </xsl:if>
          <xsl:if test="plus">
            <img id="root.tunnel.gre" class="bnew" onclick="return newItem(this,getHelp('webDlgAddName'),'newKey');" title="header=[webBtnAdd] body=[]" alt="New" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);">
              <xsl:attribute name="onclick">return newItem(this,getHelp('<xsl:value-of select="plusHelp"/>'),'<xsl:value-of select="plus"/>Key');</xsl:attribute>
            </img>
          </xsl:if>
          <xsl:if test="apply">
            <img class="bapply" title="header=[webBtnApply] body=[]" onclick="applyCfg(this); return false;" alt="Apply" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
          </xsl:if>
          <xsl:if test="path='{}'">
            <img class="bsave" title="header=[webBtnSave] body=[]" onclick="return saveCfg(this);" alt="Save" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
          </xsl:if>
          <img class="bclear" onclick="return clearDir(this);" title="header=[webBtnClearDir] body=[]" alt="Clear" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
        </div>
        <ul>
          <xsl:if test="htmlIntree">
            <xsl:variable name="liid" select="generate-id()"/>
            <div class="htmlintree">
              <xsl:attribute name="id">
                <xsl:value-of select="$liid"/>
              </xsl:attribute>
              <span class="hiddenscript">
                <textarea class="hiddentext">
                  <xsl:text>$("#</xsl:text><xsl:value-of select="$liid"/><xsl:text>").removeAttr("id").html(deHex("</xsl:text><xsl:value-of select="htmlIntree"/><xsl:text>"));</xsl:text>
                </textarea>
              </span>
            </div>
          </xsl:if>
          <xsl:for-each select="parameter">
            <xsl:sort  data-type="number" select="prio"/>
            <xsl:call-template name="PARAMETER"/>
          </xsl:for-each>
        </ul>
      </xsl:if>
      <xsl:if test="loaded='no'">
        <ul>
          <input class="pleasewait" type="hidden"/>
        </ul>
      </xsl:if>
    </xsl:if>
    <xsl:if test="loaded='no' and executable">
      <div class="dircontrol"> </div>
      <ul>
        <input class="runfirst" type="hidden" />
      </ul>
    </xsl:if>
  </xsl:template>

  <xsl:template name="PARAMETER">
    <xsl:call-template name="SCRIPT"/>
    <li>
      <xsl:attribute name="name"><xsl:value-of select="luaName"/></xsl:attribute>
      <xsl:attribute name="class"><xsl:value-of select="class"/></xsl:attribute>
      <table class="node">
        <tbody>
          <tr valign="middle">
            <td>
              <xsl:if test="expandable">
                <img class="bexpand" onclick="UnHide(this); return false;" title="header=[webBtnExpand] body=[]" src="/nil.png" alt="E.innerHTML = xpand" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
                <img class="bcollapse" onclick="UnHide(this); return false;" title="header=[webBtnCollapse] body=[]" src="/nil.png" alt="Collapse" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
              </xsl:if>
            </td>
            <td class="param">
              <xsl:attribute name="title">
                <xsl:text>header=[</xsl:text><xsl:value-of select="help"/><xsl:text>] body=[</xsl:text>
                <xsl:if test="description">
                  <xsl:value-of select="description"/>
                </xsl:if>
                <xsl:text>]</xsl:text>
              </xsl:attribute>

              <xsl:if test="not(type='dir')">
                <xsl:if test="dependence">
                  <img class="bkey" title="header=[webBtnKey] body=[]" alt="!" src="/nil.png"/>
                </xsl:if>
              </xsl:if>

              <span>
                <xsl:if test="not(executable)">
                  <xsl:if test="not(type='dir')">
                    <xsl:attribute name="class">parm</xsl:attribute>
                  </xsl:if>
                  <xsl:if test="type='dir'">
                    <xsl:attribute name="class">dir</xsl:attribute>
                  </xsl:if>
                </xsl:if>
                <xsl:if test="executable">
                  <xsl:attribute name="class">exec</xsl:attribute>
                </xsl:if>
                <a class="name" onkeydown="paramKeyDown(event, this)" href="javascript:void(0)">
                  <xsl:if test="not(expandable)">
                    <xsl:attribute name="onclick">return false;</xsl:attribute>
                  </xsl:if>
                  <xsl:if test="expandable">
                    <xsl:attribute name="onclick">UnHide(this);return false;</xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="name"/>
                </a>
              </span>

              <xsl:if test="type='dir'">
                <input class="value" type="hidden">
                  <xsl:attribute name="value"><xsl:value-of select="name"/></xsl:attribute>
                  <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
                </input>
                <input class="stype" type="hidden" value="dir"/>
                <input class="conf" type="hidden">
                  <xsl:attribute name="value"><xsl:value-of select="value"/></xsl:attribute>
                </input>
              </xsl:if>

              <img class="bmanual" title="header=[webBtnManual] body=[]" onclick="return getManual(this);" alt="Man" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);"/>
              <xsl:if test="html">
                <img class="bhtml" title="header=[webBtnHTML] body=[]" alt="Html" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);">
                  <xsl:attribute name="onclick">return getHTML(this,'<xsl:value-of select="html"/>');</xsl:attribute>
                </img>
              </xsl:if>
            </td>

            <td class="value">
              <xsl:if test="(type='dir' or executable) and dependence or plus">
                <input class="dep" type="hidden" >
                  <xsl:attribute name="value">
                   <xsl:if test="plus">1</xsl:if>
                   <xsl:if test="dependence">
                     <xsl:value-of select="dependence"/>
                   </xsl:if>
                  </xsl:attribute>
                </input>
              </xsl:if>

              <xsl:if test="not(type='dir') and not(type='no')">
                <xsl:if test="htmlIntree">
                  <xsl:variable name="tiid" select="generate-id()"/>
                  <span class="normal">
                    <xsl:attribute name="id">
                      <xsl:value-of select="$tiid"/>
                    </xsl:attribute>
                    <span class="hiddenscript">
                      <textarea class="hiddentext">
                        <xsl:text>$("#</xsl:text><xsl:value-of select="$tiid"/><xsl:text>").removeAttr("id").html(deHex("</xsl:text><xsl:value-of select="htmlIntree"/><xsl:text>"));</xsl:text>
                      </textarea>
                    </span>
                  </span>
                </xsl:if>
                <xsl:if test="not(htmlIntree)">
                  <span>
                    <xsl:if test="configured">
                      <xsl:attribute name="class">normal</xsl:attribute>
                    </xsl:if>
                    <xsl:if test="not(configured)">
                      <xsl:attribute name="class">disabled</xsl:attribute>
                    </xsl:if>
                    <xsl:if test="type='choice' or type='boolean'">
                      <select class="inline" onkeydown="inLineKeyDown(event, this);" name="TODOgenInputChoice" style="visibility: visible;">
                        <xsl:if test="not(executable)">
                          <xsl:attribute name="onblur">inLineOnBlur(this);setValue(this);</xsl:attribute>
                        </xsl:if>
                        <xsl:if test="executable">
                          <xsl:attribute name="onblur">inLineOnBlur(this,'normal');</xsl:attribute>
                        </xsl:if>
                        <xsl:for-each select="arguments">
                          <option>
                            <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
                            <xsl:if test="../value = .">
                              <xsl:attribute name="selected">true</xsl:attribute>
                            </xsl:if>
                            &nbsp;<xsl:value-of select="."/>&nbsp;
                          </option>
                        </xsl:for-each>
                      </select>
                    </xsl:if>
                    <xsl:if test="not(type='choice' or type='boolean')">
                      <xsl:if test="text='true'">
                        <textarea class="inline">
                          <xsl:if test="executable='true'">
                            <xsl:attribute name="onblur">inLineOnBlur(this, 'normal');</xsl:attribute>
                          </xsl:if>
                          <xsl:if test="not(executable)">
                            <xsl:attribute name="onblur">onblur=inLineOnBlur(this); setValue(this);</xsl:attribute>
                          </xsl:if>
                          <xsl:attribute name="onkeydown">inLineKeyDown(event, this);</xsl:attribute>
                          <xsl:attribute name="rows"><xsl:value-of select="textRows"/></xsl:attribute>
                          <xsl:attribute name="cols"><xsl:value-of select="textCols"/></xsl:attribute>
                          <xsl:if test="wrap">
                            <xsl:attribute name="wrap"><xsl:value-of select="textWrap"/></xsl:attribute>
                          </xsl:if>
                          <xsl:value-of select="clearValue"/>
                        </textarea>
                      </xsl:if>
                      <xsl:if test="not(text='true')">
                      <input class="inline" type="text" onkeydown="inLineKeyDown(event, this);">
                        
                        <xsl:if test="not(executable)">
                          <xsl:attribute name="onblur">inLineOnBlur(this);setValue(this);</xsl:attribute>
                        </xsl:if>
                        <xsl:if test="executable">
                          <xsl:attribute name="onblur">inLineOnBlur(this,'normal');</xsl:attribute>
                        </xsl:if>
                        <xsl:attribute name="value"><xsl:value-of select="value"/></xsl:attribute>
                        <xsl:attribute name="style">
                          <xsl:if test="valueCols">width:80ex;</xsl:if>
                        </xsl:attribute>
                      </input>
                    </xsl:if>
                    </xsl:if>
                    <input class="value" type="text" onkeydown="valueKeyDown(event, this)" ondblclick="startEdit(this); return false;" readonly="">
                      <xsl:attribute name="title"><xsl:text>header=[</xsl:text><xsl:value-of select="help"/><xsl:text>] body=[]</xsl:text></xsl:attribute>
                      <xsl:attribute name="value"><xsl:value-of select="value"/></xsl:attribute>
                      <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
                      <xsl:attribute name="style">
                        <xsl:if test="(string-length(value) &gt; 15)">width:80ex;</xsl:if>
                      </xsl:attribute>
                    </input>
                    <input class="lastvalue" type="hidden">
                      <xsl:attribute name="value"><xsl:value-of select="value"/></xsl:attribute>
                    </input>
                    <input class="defvalue" type="hidden">
                      <xsl:attribute name="value"><xsl:value-of select="defvalue"/></xsl:attribute>
                    </input>
                    <input class="stype" type="hidden">
                      <xsl:attribute name="value"><xsl:value-of select="type"/></xsl:attribute>
                    </input>
                    <xsl:if test="dependence">
                      <input class="dep" type="hidden" ><xsl:attribute name="value"><xsl:value-of select="dependence"/></xsl:attribute>
                      </input>
                    </xsl:if>
                  </span>
                </xsl:if>
              </xsl:if>
            </td>
            <td class="itemcontrols">
              <xsl:if test="delete">
                <img class="bdel" title="" alt="Delete" src="/nil.png" tabindex="0" >
                  <xsl:attribute name="onclick">
                    <xsl:text>
                      return deleteItem(this,getHelp('webDlgDelete'));
                    </xsl:text>
                  </xsl:attribute>
                  <xsl:attribute name="onkeydown">
                    <xsl:text>
                      return btnKeyDown(event,this);
                    </xsl:text>
                  </xsl:attribute>
                  </img>
              </xsl:if>
              <xsl:if test="executable and not(htmlIntree)">
                <img class="bexec" title="header=[webBtnRun] body=[]" alt="Execute" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);">
                  <xsl:attribute name="onclick">
                    <xsl:text>return executeTask(this,</xsl:text>
                    <xsl:if test="interactive">
                      'interactive'
                    </xsl:if>
                    <xsl:if test="not(interactive)">
                      ''
                    </xsl:if>
                    <xsl:text>);</xsl:text>
                  </xsl:attribute>
                </img>
              </xsl:if>
              <xsl:if test="not(expandable) and configured">
                <img class="bdisable" onclick="return setNil(this);" title="header=[webBtnDisable] body=[]" alt="Disable" src="/nil.png" tabindex="0" onkeydown="return btnKeyDown(event,this);" />
              </xsl:if>
            </td>
          </tr>
        </tbody>
      </table>
      <div class="dir">
        <xsl:call-template name="DIR"/>
      </div>
    </li>
  </xsl:template>

  <xsl:template match="/LOGINPAGE">
    <xsl:call-template name="SCRIPT"/>
    <table class="login">
      <tbody><tr><td>
        <form id="loginform" class="login" method="post" enctype="application/x-www-form-urlencoded">
          <xsl:attribute name="onsubmit">
	    <xsl:text>
              delCookie('login');
              delCookie('sesnum.' + window.NETNS +"." + window.LOGIN );
              delCookie('netns');
              var loginform=document.getElementById('loginform'); if(loginform) loginform.onsubmit = function(){ return false;};
              return true;
	    </xsl:text>
          </xsl:attribute>
          <xsl:attribute name="xonsubmit">
	    <xsl:text>
              loginNSG(this);
              var loginform=document.getElementById('loginform'); if(loginform) loginform.onsubmit = function(){ return false;};
              return false;
	    </xsl:text>
          </xsl:attribute>
          <center>
            <table>
              <tbody>
                <tr>
                  <td class="bottomcenter">
                    <img src="/nsg_logo.png" /><br/>
                    <xsl:value-of select="devName"/><br/>
                    <xsl:if test="not(netns='')">
                      <input type="hidden" name="netns" id="netns">
                        <xsl:attribute name="value"><xsl:value-of select="netns"/></xsl:attribute>
                      </input>
                      [<xsl:value-of select="netns"/>]
                    </xsl:if>
                    <xsl:value-of select="hostName"/>
                  </td>
                </tr>
                <xsl:if test="error">
                  <tr>
                    <td class="lcenter">
                      <pre>
                        <xsl:value-of select="error"/>
                      </pre>
                    </td>
                  </tr>
                </xsl:if>
                <tr><td class="lcenter"><xsl:text>Name:</xsl:text><input type="text" name="login" value=""  id="login"/><font color="#6699cc" ><xsl:text>:emaN</xsl:text></font></td></tr>
                <tr><td class="lcenter"><xsl:text>Password:</xsl:text><input type="password" name="pass" value="" id="pass"/><font color="#6699cc" ><xsl:text>:drowssaP</xsl:text></font></td></tr>
                <xsl:if test="netnslist">
                  <tr><td class="lcenter"><xsl:text>Netns:</xsl:text><select name="netns" id="netns">
                  <option value=""><xsl:text>&nbsp;_none_&nbsp;</xsl:text></option>
                  <xsl:for-each select="netnslist">
                    <option>
                      <xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
                      &nbsp;<xsl:value-of select="."/>&nbsp;
                    </option>
                  </xsl:for-each>
                  </select><font color="#6699cc" ><xsl:text>:snteN</xsl:text></font></td></tr>
                </xsl:if>
                <tr><td class="topcenter">
                  <input type="submit" name="submit" value="Login" />
                  <input type="hidden" name="command" value="login" />
                  <input type="hidden" name="timeout" value="60" />
                </td></tr>
              </tbody>
            </table>
          </center>
        </form>
      </td></tr>
      </tbody>
    </table>
  </xsl:template>
  
</xsl:stylesheet>

